from superdice.libs.playerStrings import stringsManager
from superdice.libs.dataManager import dataManager

def round_end(ev):
    database.saveDatabase()

def player_roll_success(ev):
    steamid = ev['es_steamid']
    roll = ev['roll']
    if not steamid in database:
        database[steamid] = {}

    if not roll in database[steamid]:
        database[steamid][roll] = 0

    database[steamid][roll] += 1

def player_say(ev):
    steamid = ev['es_steamid']
    if not ev['text'].lower() == '!mostrolled':
        return

    if not steamid in database:
        database[steamid] = {}

    if database[steamid]:
        strings.tellString(ev['userid'], 'mostrolled', {'roll':max(database[steamid], key=lambda roll: database[steamid][roll])})

    else:
        strings.tellString(ev['userid'], 'nomost', {})

database = dataManager('addon_mostrolled')

strings = stringsManager('addon_mostrolled')
